/* EarthDist - calculate distance on earth surface
 * Copyright (C) 2004 Tim Janik
 *
 * This software is provided "as is"; redistribution and modification
 * is permitted, provided that the following disclaimer is retained.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * In no event shall the authors or contributors be liable for any
 * direct, indirect, incidental, special, exemplary, or consequential
 * damages (including, but not limited to, procurement of substitute
 * goods or services; loss of use, data, or profits; or business
 * interruption) however caused and on any theory of liability, whether
 * in contract, strict liability, or tort (including negligence or
 * otherwise) arising in any way out of the use of this software, even
 * if advised of the possibility of such damage.
 */
#ifndef __GPS_EARTHDIST_H__
#define __GPS_EARTHDIST_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

double  gps_earth_latitude  (double   degree,
                             double   minute,
                             double   seconds,
                             int      is_south);
double  gps_earth_longitude (double   degree,
                             double   minute,
                             double   seconds,
                             int      is_west);
double  gps_earth_distance  (double   latitude1,
                             double   longitude1,
                             double   latitude2,
                             double   longitude2,
                             double  *azimuth_forw,
                             double  *azimuth_back);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GPS_EARTHDIST_H__ */
